package com.yanzhu.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import com.yanzhu.system.api.domain.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 分包单位工人对象 pro_project_info_subdepts_users
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class ProProjectInfoSubdeptsUsers extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @Excel(name = "所属项目")
    private String projectName;
    /** 分包单位名称 */
    @Excel(name = "所属单位")
    private String subDeptName;

    /** 主键 */
    private Long id;

    @Excel(name = "姓名")
    private String userName;
    @Excel(name = "身份证")
    private String cardCode;
    @Excel(name = "性别")
    private String userSex;
    @Excel(name = "民族")
    private String userNation;
    @Excel(name = "年龄")
    private Integer userAge;

    /** 公司主键 */

    private Long comId;

    /** 项目主键 */

    private Long projectId;

    /** 分包单位 */

    private Long subDeptId;

    /** 单位类型 */

    private String subDeptType;



    /** 用户主键 */

    private Long userId;

    /** 班组编号(外键） */

    private Long subDeptGroup;

    /** 班组名称 */
    @Excel(name = "班组名称")
    private String subDeptGroupName;

    /** 工种类型 */

    private String craftType;
    @Excel(name = "工种类型")
    private String craftTypeName;
    /** 工种岗位 */

    private String craftPost;
    @Excel(name = "工种岗位")
    private String craftPostName;

    @Excel(name = "状态")
    private String enterState;
    /** 学习状态 */
    @Excel(name = "学习状态")
    private String eduStatus;

    /** 学习文件地址 */

    private String eduFilePath;

    /** 学习签名地址 */

    private String eduSignPath;

    /** 学习时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    private Date eduDate;

    /** 审批状态 */

    private Long approveStatus;

    /** 进场状态 */

    private String useStatus;

    /** 进行步骤 */

    private Long subStep;

    private String comName;

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    /** 疾病状态 */

    private Long illnessStatus;

    /** 严重疾病状态 */

    private Long supIllnessStatus;

    public String getEnterState() {
        return enterState;
    }

    public void setEnterState(String enterState) {
        this.enterState = enterState;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCardCode() {
        return cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getUserSex() {
        return userSex;
    }

    public void setUserSex(String userSex) {
        this.userSex = userSex;
    }

    public String getUserNation() {
        return userNation;
    }

    public void setUserNation(String userNation) {
        this.userNation = userNation;
    }

    public Integer getUserAge() {
        return userAge;
    }

    public void setUserAge(Integer userAge) {
        this.userAge = userAge;
    }

    public String getCraftTypeName() {
        return craftTypeName;
    }

    public void setCraftTypeName(String craftTypeName) {
        this.craftTypeName = craftTypeName;
    }

    public String getCraftPostName() {
        return craftPostName;
    }

    public void setCraftPostName(String craftPostName) {
        this.craftPostName = craftPostName;
    }

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public String getAdmitGuid() {
        return admitGuid;
    }

    public void setAdmitGuid(String admitGuid) {
        this.admitGuid = admitGuid;
    }

    private String admitGuid;
    private SysUser user;

    /** 删除标识 */

    private Long isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setComId(Long comId)
    {
        this.comId = comId;
    }

    public Long getComId()
    {
        return comId;
    }
    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId()
    {
        return projectId;
    }
    public void setSubDeptId(Long subDeptId)
    {
        this.subDeptId = subDeptId;
    }

    public Long getSubDeptId()
    {
        return subDeptId;
    }
    public void setSubDeptType(String subDeptType)
    {
        this.subDeptType = subDeptType;
    }

    public String getSubDeptType()
    {
        return subDeptType;
    }
    public void setSubDeptName(String subDeptName)
    {
        this.subDeptName = subDeptName;
    }

    public String getSubDeptName()
    {
        return subDeptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setSubDeptGroup(Long subDeptGroup)
    {
        this.subDeptGroup = subDeptGroup;
    }

    public Long getSubDeptGroup()
    {
        return subDeptGroup;
    }
    public void setSubDeptGroupName(String subDeptGroupName)
    {
        this.subDeptGroupName = subDeptGroupName;
    }

    public String getSubDeptGroupName()
    {
        return subDeptGroupName;
    }
    public void setCraftType(String craftType)
    {
        this.craftType = craftType;
    }

    public String getCraftType()
    {
        return craftType;
    }
    public void setCraftPost(String craftPost)
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost()
    {
        return craftPost;
    }
    public void setEduStatus(String eduStatus)
    {
        this.eduStatus = eduStatus;
    }

    public String getEduStatus()
    {
        return eduStatus;
    }
    public void setEduFilePath(String eduFilePath)
    {
        this.eduFilePath = eduFilePath;
    }

    public String getEduFilePath()
    {
        return eduFilePath;
    }
    public void setEduSignPath(String eduSignPath)
    {
        this.eduSignPath = eduSignPath;
    }

    public String getEduSignPath()
    {
        return eduSignPath;
    }
    public void setEduDate(Date eduDate)
    {
        this.eduDate = eduDate;
    }

    public Date getEduDate()
    {
        return eduDate;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setUseStatus(String useStatus)
    {
        this.useStatus = useStatus;
    }

    public String getUseStatus()
    {
        return useStatus;
    }
    public void setSubStep(Long subStep)
    {
        this.subStep = subStep;
    }

    public Long getSubStep()
    {
        return subStep;
    }
    public void setIllnessStatus(Long illnessStatus)
    {
        this.illnessStatus = illnessStatus;
    }

    public Long getIllnessStatus()
    {
        return illnessStatus;
    }
    public void setSupIllnessStatus(Long supIllnessStatus)
    {
        this.supIllnessStatus = supIllnessStatus;
    }

    public Long getSupIllnessStatus()
    {
        return supIllnessStatus;
    }
    public void setIsDel(Long isDel)
    {
        this.isDel = isDel;
    }

    public Long getIsDel()
    {
        return isDel;
    }


    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("comId", getComId())
                .append("projectId", getProjectId())
                .append("subDeptId", getSubDeptId())
                .append("subDeptType", getSubDeptType())
                .append("subDeptName", getSubDeptName())
                .append("userId", getUserId())
                .append("subDeptGroup", getSubDeptGroup())
                .append("subDeptGroupName", getSubDeptGroupName())
                .append("craftType", getCraftType())
                .append("craftPost", getCraftPost())
                .append("eduStatus", getEduStatus())
                .append("eduFilePath", getEduFilePath())
                .append("eduSignPath", getEduSignPath())
                .append("eduDate", getEduDate())
                .append("approveStatus", getApproveStatus())
                .append("useStatus", getUseStatus())
                .append("subStep", getSubStep())
                .append("illnessStatus", getIllnessStatus())
                .append("supIllnessStatus", getSupIllnessStatus())
                .append("isDel", getIsDel())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
